* Programm, das ein Literaturverzeichnis aus der Datei AUTHORS.DBF erstellt
SELE SECO
USE
SELE PRIM
USE AUTHORS
SET TALK OFF
  SET ALTERNATE TO L
  SET ALTERNATE ON
DO WHILE .NOT. EOF
    STORE TRIM(AUTHOR) TO A
    STORE YEAR TO JJ
    SELECT SECO
    IF FILE="BOOKS"
        USE BOOKS
        LOCATE FOR A = TRIM(AUTHOR) .AND. JJ = YEAR
        IF .NOT. EOF
            ? A,"("+STR(JJ,4)+")"+":"
            ?
            DO BUCH
        ENDIF
    ELSE
        USE PAPERS
        LOCATE FOR A = TRIM(AUTHOR) .AND. JJ = YEAR
        ? TRIM(A),"("+STR(JJ,4)+")"+":"
        ?
        DO TITEL
        STORE VOLUME TO V
        STORE PAGES TO P
        STORE TRIM(JOURNAL) TO JNL
        IF JNL<>"in:"
            use journals
            locate for abbrev = jnl
            if eof
                use medicals
                locate for abbrev = jnl
                if .not. eof
                    store trim(title) to jnl
                endif
            else
                store trim(title) to jnl
            endif
            store @("(",jnl) to j
            if j>0
                store $(jnl,1,j-1) to jnl
            endif
            ?? trim(jnl)
            IF V<>0
                DO CASE
                    CASE V<10
                        ?? STR(V,1)
                    CASE V<100
                        ?? STR(V,2)
                    CASE V<1000
                        ?? STR(V,3)
                    OTHERWISE
                        ?? V
                ENDCASE
            ENDIF
            IF P<>" "
                ?? TRIM(P)
            ENDIF
        ELSE
            ?? "In:"
            if $(notes,1,2)=".."
                store @(".",$(notes,3,len(notes)-2))+4 to j
            else
                store 1 to j
            endif
            store $(notes,j,@(':',notes)-j) to n
            use books
            locate for n = trim(author) .and. jj = year
            if .not. eof
                ?? N+":"
                DO BUCH
            endif
            IF P<>" "
                ?? TRIM(P)
            ENDIF
        ENDIF
    ENDIF
    ?
    SELECT PRIM
    SKIP
ENDDO
SET ALTERNATE OFF
USE
RETURN
URNAL) TO JNL
        IF JNL<>"in:"
            use journals
            locate for abbrev = jnl
            if eof
                use medicals
                locate for abbrev = jnl
                if .not. eof
                    store trim(title) to jnl
                endif
            else
                store 